# abapGit #

Git client for ABAP

Works with: [GitHub](https://github.com/), [Gitorious](https://gitorious.org/), [GitLab](https://gitlab.com/), [Assembla](https://www.assembla.com/git/), [Bitbucket](https://bitbucket.org/)

ABAP Version: 702 or higher

## Design Goals ##
- Easy installation
- Easy upgrade
- Small system footprint
- Code readable in git repository

## Guides ##
* [Installing abapGit](https://github.com/larshp/abapGit/wiki/Installing-abapGit)
* [Uninstalling abapGit](https://github.com/larshp/abapGit/wiki/Uninstalling-abapGit)

### Online Projects ###
Requires SSL setup and access to the internet from the SAP system. This is the easiest way to keep the code up to date or contribute to existing projects.

* [Installing a repository](https://github.com/larshp/abapGit/wiki/Installing-a-repository)
* [Keeping code up to date](https://github.com/larshp/abapGit/wiki/Keeping-code-up-to-date)
* [Uninstalling a repository](https://github.com/larshp/abapGit/wiki/Uninstalling-a-repository)

&nbsp;
* [Your first abapGit project](https://github.com/larshp/abapGit/wiki/Your-first-abapGit-project)
* [Moving existing package contents into git](https://github.com/larshp/abapGit/wiki/Moving-existing-package-contents-into-git)
* [Contributing to a project](https://github.com/larshp/abapGit/wiki/Contributing-to-a-project)

### Offline Projects ###
No SSL or internet access required, will work if the SAP system is behind a firewall. 
* [Installing a repository offline](https://github.com/larshp/abapGit/wiki/Installing-a-repository-offline)

## FAQ ##
For questions/comments/bugs/feature requests/wishes please create an [issue](https://github.com/larshp/abapGit/issues)

![abapgit](https://github.com/larshp/abapGit/wiki/img/abapgit.png)
